Bug 1394448 - [Docs][Upgrade] Upgrade guide should more clearly refer to SHE upgrade
Summary: [Docs][Upgrade] Upgrade guide should more clearly refer to SHE upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.9
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ovirt-3.6.10
: ---
Assignee: Byron Gravenorst
QA Contact: Tahlia Richardson
URL:
Whiteboard: hosted-engine
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-12 02:19 UTC by Marina Kalinin
Modified: 2020-04-15 14:51 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-15 23:55:53 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)
Upgrade flow chart (23.61 KB, image/png)
2016-11-30 14:30 UTC, Doron Fediuck
no flags Details

Description Marina Kalinin 2016-11-12 02:19:12 UTC
Description of problem:
Current 3.6 Upgrade Guide does not contain procedure for HE setup upgrade. This procedure is documented in a different, SHE guide.

However, to a user reading the Upgrade Bug it is not obvious, that a separate procedure exists and they follow those instructions mentioned in the regular upgrade guide, section 3.2, get stuck and cannot continue with the upgrade without support.
This is why the upgrade guide should provide a link for HE upgrade flow.

This should be mentioned in section 3.2 in the guide. While Section 3.5 should be either removed or reduced in content, since its content is not 100% correct. We should just give link to HE upgrade guide.



3.2:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Upgrade_Guide/Red_Hat_Enterprise_Virtualization_3.6_Upgrade_Considerations.html

3.5:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Upgrade_Guide/Upgrading_the_Self-Hosted_Engine1.html

Comment 1 Marina Kalinin 2016-11-17 20:10:52 UTC
^Upgrade Bug^Upgrade Guide.

Comment 6 Sandro Bonazzola 2016-11-28 13:17:17 UTC
Simone can you help defining a table mapping initial scenario to needed documentation?

Comment 7 Marina Kalinin 2016-11-29 03:55:14 UTC
Should it be something like:
        RHEV-M 3.5      RHEV-M HE 3.5
RHEL6   Standard*       Follow procedure documented in KCS XXX
RHEL7   Standard        Follow standard procedure for HE upgrade

* Standard means upgrade manager first and the hosts, for example, here are the links...


Sandro / Doron / Simone,
Is this what you mean?

Comment 8 Sandro Bonazzola 2016-11-29 09:21:47 UTC
I would say:
Version | Host OS | Engine Deploymnet | Document
3.5 EL6 | EL6     | Bare metal        | ...
3.5 EL6 | EL7     | Bare metal        | ...
3.5 EL6 | EL6     | Hosted engine     | ...
3.5 EL6 | EL7     | Hosted engine     | ...
3.6 EL6 | EL7     | Bare metal        | ...
3.6 EL6 | EL7     | Hosted engine     | ...
4.0 EL7 | EL7     | Bare metal        | ...
4.0 EL7 | EL7     | Hosted engine     | ...

Comment 9 Doron Fediuck 2016-11-30 14:30:32 UTC
Created attachment 1226349 [details]
Upgrade flow chart

Either this or a flow chart like the attached (with better graphics...).

Comment 10 Lucy Bopf 2016-12-01 05:38:25 UTC
Doron, Marina,

Is this a further documentation request?

The original requirement for this bug was completed and verified. If additional documentation work is required, please open a new bug.

Comment 11 Doron Fediuck 2016-12-01 10:31:45 UTC
Hi Lucy,
we're seeing multiple issues resulting from confusion around different flows we have based on RHV version / OS version and setup type. This is about trying to organize the existing content in a way which will help people fine the content they need.

Comment 12 Lucy Bopf 2016-12-02 01:18:51 UTC
Thanks, Doron. I understand the use case, and agree that organizing the content that way makes sense. I just missed any initial conversation or consultation about a table, and this particular bug was already actioned and verified according to Marina's original request. Adding comments to a verified bug without reopening it or pinging somebody from docs confuses our workflow.

If you are requesting that this table is added to the 4.0 (and 3.6?) Upgrade Guide, that's no problem. I'll clone this bug, and we'll track it as a new work item.

Comment 13 Marina Kalinin 2016-12-02 22:40:02 UTC
One note for the chart - The "OS level" should say "Host OS level".

Comment 14 Doron Fediuck 2016-12-04 11:57:26 UTC
Based on comment 12, Marina can you open a fresh BZ with the relevant explanation?


Note You need to log in before you can comment on or make changes to this bug.